-- primeiro dou este select e cadastro manualmente os bairros no banco de dados,
-- depois insiro na tab pessoas o nome dos bairros no campo MOTIVODESATIVADO e por fim, com
-- comandos de update, gravo o codbairro de acordo com o vlr do campo MOTIVODESATIVADO e limpo este campo
SELECT DISTINCT(C.NO_BAIRRO)
FROM TB_MS_USUARIO A, TB_MS_CONTROLE_USUARIO B
LEFT OUTER JOIN TB_MS_ENDERECO C ON B.co_endereco=C.co_endereco
WHERE A.co_usuario=B.CO_USUARIO;

SELECT A.CO_USUARIO AS OBS, A.NO_USUARIO AS NOME, A.NO_MAE AS NOMEMAE, A.NO_PAI AS NOMEPAI,
    CAST(A.DT_NASCIMENTO AS DATE) AS DTNASCIMENTO, A.ST_FREQUENTA_ESCOLA AS ESTUDANTE,
    A.CO_SEXO AS SEXO, (C.NO_LOGRADOURO || ', ' || C.NU_LOGRADOURO) AS ENDERECO,
    C.NO_BAIRRO AS MOTIVODESATIVADO, COALESCE(A.NU_TELEFONE,C.NU_TELEFONE) AS FONE,
    D.ds_REDUZIDA_sgrp_cbo AS PROFISSAO
FROM TB_MS_USUARIO A
LEFT OUTER JOIN TB_MS_CONTROLE_USUARIO B ON A.co_usuario=B.CO_USUARIO
LEFT OUTER JOIN TB_MS_ENDERECO C ON B.co_endereco=C.co_endereco
LEFT OUTER JOIN TB_MS_CBOR D ON A.co_SGRP_CBO=D.co_SGRP_CBO
-- agora devo salvar o resultado do segundo select e exportar para script,
-- da inserir na tab pessoas e executar as instru abaixo
-- ao exportar configurar o formato da data para YYYY/MM/DD

update pessoas p set p.codbairro=
  (select codigo from bairros b where b.nome=p.motivodesativado);
 update pessoas set motivodesativado = null;

update pessoas set Sexo='Masculino' where Sexo='M';
update pessoas set Sexo='Feminino' where Sexo='F';
update pessoas set Estudante='Sim' where Estudante='S';
update pessoas set Estudante='No' where Estudante='N';

-- para os documentos, exportar do db_cns a tab RL_MS_USUARIO_DOCUMENTOS
-- junto com os comandos de criacao da tab e cria-la com os dados no bdsepin,
-- da executar a procedure abaixo no bdsepin

DROP procedure SP_DOCUMENTOS_GDBCNS;

ALTER TABLE PESSOAS ALTER ZONAELEITORAL TYPE VARCHAR(4) CHARACTER SET NONE;

create or alter procedure SP_DOCUMENTOS_GDBCNS
as
declare variable CodPessoa varchar(58);
declare variable CodTipoDoc char(2);
declare variable Cartorio varchar(20);
declare variable NumLivro varchar(8);
declare variable NumFolha varchar(4);
declare variable NumTermo varchar(8);
declare variable DtEmissao date;
declare variable NumDoc varchar(15);
declare variable Zona varchar(4);
declare variable Secao varchar(4);
declare variable UF char(2);
begin
  for select D.CO_USUARIO, D.CO_TIPO_DOCUMENTO, D.NO_CARTORIO,
  D.NU_LIVRO, D.NU_FOLHA, D.NU_TERMO, D.DT_EMISSAO, D.NU_DOCUMENTO,
  D.NU_ZONA_ELEITORAL, D.NU_SECAO_ELEITORAL, D.SG_UF
      from RL_MS_USUARIO_DOCUMENTOS D
      into :CodPessoa, :CodTipoDoc, :Cartorio, :NumLivro, :NumFolha, :NumTermo,
           :DtEmissao, :NumDoc, :Zona, :Secao, :UF
  do
  begin
     if (:CodTipoDoc='02') then
     begin
       update pessoas P set P.CPF=:NumDoc WHERE P.OBS=:CodPessoa;
     end
     if (:CodTipoDoc='03') then
     begin
       update pessoas P set P.TituloEleitoral=:NumDoc, P.ZonaEleitoral=:Zona, P.SecaoEleitoral=:Secao WHERE P.OBS=:CodPessoa;
     end
     if (:CodTipoDoc='04') then
     begin
       update pessoas P set P.CTPS=:NumDoc, P.UFCTPS=:UF  WHERE P.OBS=:CodPessoa;
     end
     if ((:CodTipoDoc='91') or (:CodTipoDoc='92') or (:CodTipoDoc='93')) then
     begin
       update pessoas P set P.Certidao=:numLivro||'-'||:numFolha||'-'||:numTermo, p.DtCertidao=:DtEmissao , P.Cartorio=:CARTORIO WHERE P.OBS=:CodPessoa;
     end
     else
     begin  -- careiras de identidade ou outros entram aqui
       update pessoas P set P.Identidade=:NumDoc, p.UFIdentidade=:UF WHERE P.OBS=:CodPessoa;
     end
  end
end

UPDATE PESSOAS SET CPF=
       substring(CPF FROM 1 FOR 3) || '.' ||
       substring(CPF FROM 4 FOR 3) || '.' ||
       substring(CPF FROM 7 FOR 3) || '-' ||
       substring(CPF FROM 10 FOR 2)
WHERE CPF IS NOT NULL;

