alter table FAAPROCED drop constraint FK_FAAPROCED_FAA;
alter table FAACID drop constraint FK_FAACID_FAA;
alter table TRIAGENS drop constraint FK_TRIAGENS_FAA;
alter table FAA drop constraint PK_FAA;
alter table FAA add constraint PK_FAA primary key(NumFAA,CodUnidade);
/* Terei que criar o codunidade nas tab abaixo devido aos foreign key */
alter table FAAPROCED add CodUnidade integer not null;
alter table FAACID add CodUnidade integer not null;
alter table TRIAGENS add CodUnidade integer not null;
alter table FAAPROCED add constraint FK_FAAPROCED_FAA
    foreign key(NumFAA,CodUnidade) references FAA(NumFAA,CodUnidade)
    on delete cascade on update cascade;
alter table FAACID add constraint FK_FAACID_FAA
    foreign key(NumFAA,CodUnidade) references FAA(NumFAA,CodUnidade)
    on delete cascade on update cascade;
alter table TRIAGENS add constraint FK_TRIAGENS_FAA
    foreign key(NumFAA,CodUnidade) references FAA(NumFAA,CodUnidade)
    on delete cascade on update cascade;
alter table FAACID drop constraint PK_FAACID;
alter table FAACID add constraint PK_FAACID primary key(NumFAA, CodUnidade, CodCID);


alter table TRIAGENS drop constraint FK_TRIAGENS_FAA;
alter table TRIAGENS drop NUMFAA;
alter table TRIAGENS add NUMFAA varchar(11);
alter table TRIAGENS add constraint FK_TRIAGENS_FAA
    foreign key(NumFAA,CodUnidade) references FAA(NumFAA,CodUnidade)
    on delete cascade on update cascade;

create table RECEITAS(
    Lancamento integer not null,
    NumFAA varchar(11),
    CodUnidade integer,
    CodPessoa integer,
    CodProfissional integer,
    Data date);
alter table RECEITAS add constraint PK_RECEITAS primary key(Lancamento);
alter table RECEITAS add constraint FK_RECEITAS_FAA
    foreign key(NumFAA,CodUnidade) references FAA(NumFAA,CodUnidade)
    on delete cascade on update cascade;
alter table RECEITAS add constraint FK_RECEITAS_PESSOA
    foreign key(CodPessoa) references PESSOAS(Codigo)
    on delete no action on update cascade;
alter table RECEITAS add constraint FK_RECEITAS_PROFISSIONAL
    foreign key(CodProfissional) references PROFISSIONAIS(Codigo)
    on delete set null on update cascade;
create generator GLancReceitas;
set generator GLancReceitas to 0;

create table ITENSRECEITAS(
    Lancamento integer not null,
    CodProduto integer not null,
    Quantidade numeric(18,4) not null,
    Obs varchar(100));
alter table ITENSRECEITAS add constraint PK_ITENSRECEITAS primary key(Lancamento,CodProduto);
alter table ITENSRECEITAS add constraint FK_ITRECEITAS_RECEITA
    foreign key(Lancamento) references RECEITAS(Lancamento)
    on delete cascade on update cascade;

