create or alter trigger TrExcSaiEstoqueItem for ItensSaidas
after delete as
declare variable UnidDestino integer;
declare variable Lote varchar(10);
declare variable BaixouLote numeric(18,4);
declare variable SaidaLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
begin
   select Estoque from Estoques where CodProduto=old.CodProduto and CodUnidade=old.CodUnidade
      into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
   if (:QtdAnt is null) then
   begin
      insert into Estoques (CodUnidade, CodProduto, Estoque) values (old.CodUnidade, old.CodProduto, old.Quantidade);
   end
   else begin
      update Estoques set Estoque=Estoque+old.quantidade where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto;
   end

   select CodUnidadeDestino from SAIDAS where Lancamento=old.Lancamento into :UnidDestino;
   if (:UnidDestino is null) then
   begin /* a partir daqui s entra caso no seja transf interna */
      update Produtos set QtdTotal=QtdTotal+old.quantidade where Codigo=old.CodProduto; /* V.Total  calc automatico */
      /* Nao estornei Medic. Controlada, podera dar problema */
   end

   /* Estornar Baixa do Lote */
   BaixouLote = old.Quantidade;
   for
      select Lote, QtdSaida from Lotes
      where CodUnidade=old.CodUnidade and CodProduto=old.CodProduto
            and :BaixouLote > 0 and QtdSaida > 0
      order by DtValidade descending
      into :Lote, :SaidaLote
   do begin
      if (:BaixouLote <= :SaidaLote) then
      begin
         update LOTES set QtdSaida = QtdSaida - :BaixouLote where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
         BaixouLote = 0;
      end
      else begin
         update LOTES set QtdSaida = 0 where CodUnidade = old.CodUnidade and CodProduto = old.CodProduto and Lote = :Lote;
         BaixouLote = BaixouLote - :SaidaLote;
      end
   end
end;


