create or alter trigger TrProxiVaci_I for aplicvacinas
after insert as
declare variable Lanc integer;
declare variable Vaci integer;
declare variable Dose integer;
declare variable CodPessoa integer;
begin
  if (new.Dose > 1) then
  begin
    select CodPessoa from LanVacinas where Lancamento=new.Lancamento into :CodPessoa;
    select A.Lancamento, A.CodVacina, A.Dose from AplicVacinas A
      right outer join LanVacinas L on L.Lancamento=A.Lancamento
      where CodProxiVaci=new.CodVacina and ProxiDose=new.Dose and CodPessoa=:CodPessoa
      into :Lanc, :Vaci, :Dose;
    if ((:Lanc is not null) and (:Vaci is not null) and (:Dose is not null)) then
    begin
      update AplicVacinas set TomouProxi='Sim' where Lancamento=:Lanc and CodVacina=:Vaci and Dose=:Dose;
    end
  end
end;

create or alter trigger TrProxiVaci_E for aplicvacinas
before delete as
declare variable Lanc integer;
declare variable Vaci integer;
declare variable Dose integer;
declare variable CodPessoa integer;
begin
  if (old.Dose > 1) then
  begin
    /* a trigger nao est funcionando, acho q pq qdo entra aqui ja foi excluido do Lanvacinas e nao pega o codpessoa */
    select CodPessoa from LanVacinas where Lancamento=old.Lancamento into :CodPessoa;
    select A.Lancamento, A.CodVacina, A.Dose from AplicVacinas A
      right outer join LanVacinas L on L.Lancamento=A.Lancamento
      where CodProxiVaci=old.CodVacina and ProxiDose=old.Dose and CodPessoa=:CodPessoa
      into :Lanc, :Vaci, :Dose;
    if ((:Lanc is not null) and (:Vaci is not null) and (:Dose is not null)) then
    begin
      update AplicVacinas set TomouProxi=null where Lancamento=:Lanc and CodVacina=:Vaci and Dose=:Dose;
    end
  end
end;

alter table SAIDAS add TipoReceita char(1);
alter table LANAUXILIOS drop constraint FK_LANAUXILIOS_TIPOAUXILIO;
alter table LANAUXILIOS drop CodTipoAuxilio;
