UPDATE TABDIV SET VERSAOBANCO='1.58';
DELETE FROM LOTES WHERE LOTE='';
-- Tive um bug numa versao que deixava gravar o lote em branco, entao agora vou apagar pra nao dar erro de pk
COMMIT;

ALTER TABLE PROFISSIONAIS ADD PRESCRITOR CHAR(1);
ALTER TABLE SOLICITACOES  ALTER HISTORICO TYPE VARCHAR(1000) CHARACTER SET NONE;

CREATE TABLE ENCONTROS_PROFISSIONAIS(
    ID_ENCONTRO  INTEGER NOT NULL,
    CODPROFISSIONAL INTEGER NOT NULL,
    ATIVIDADE    VARCHAR(100),
    OBS          VARCHAR(100));
ALTER TABLE ENCONTROS_PROFISSIONAIS ADD CONSTRAINT PK_ENCONTROS_PROFISSIONAIS PRIMARY KEY (ID_ENCONTRO, CODPROFISSIONAL);
ALTER TABLE ENCONTROS_PROFISSIONAIS ADD CONSTRAINT FK_ENCONTROSPROF_ENCONTROS FOREIGN KEY (ID_ENCONTRO) REFERENCES ENCONTROSGRUPOS (ID_ENCONTRO) ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE ENCONTROS_PROFISSIONAIS ADD CONSTRAINT FK_ENCONTROSPROF_PROFISS FOREIGN KEY (CODPROFISSIONAL) REFERENCES PROFISSIONAIS (CODIGO) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE SOLICITACOES ADD ID_ENCONTROGRUPO INTEGER;
ALTER TABLE SOLICITACOES ADD CONSTRAINT FK_SOLICITACOES_ENCONTROS FOREIGN KEY (ID_ENCONTROGRUPO) REFERENCES ENCONTROSGRUPOS (ID_ENCONTRO) ON DELETE CASCADE ON UPDATE CASCADE;

INSERT INTO TIPOAUXILIOS(CODIGO, DESCRICAO) VALUES(998,'PRESENA ENCONTROS DE GRUPOS/PROJETOS');
INSERT INTO TIPOAUXILIOS(CODIGO, DESCRICAO) VALUES(999,'FALTA ENCONTROS DE GRUPOS/PROJETOS');
COMMIT;

CREATE TABLE OBSERVACOES(
    Id_Obs integer not null,
    CodPessoa integer not null,
    Usuario varchar(20),
    DataHora timestamp,
    Obs BLOB SUB_TYPE 1 SEGMENT SIZE 80);
ALTER TABLE OBSERVACOES ADD CONSTRAINT PK_OBSERVACOES PRIMARY KEY(ID_OBS);
ALTER TABLE OBSERVACOES ADD CONSTRAINT FK_OBSERVACOES_PESSOA
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

SET TERM ^ ;
CREATE OR ALTER TRIGGER TR_OBSERVACOES FOR OBSERVACOES
ACTIVE BEFORE INSERT POSITION 0
AS DECLARE VARIABLE xID_OBS INTEGER;
begin
  if (new.id_obs is null) then
  begin
    select max(id_obs) from Observacoes into :xId_Obs;
    if (:xId_Obs is null) then
    begin
      new.Id_obs=1;
    end
    else begin
      new.Id_obs=:xId_obs+1;
    end
  end
end
^
SET TERM ; ^

ALTER TABLE USUARIOS ADD SENHAEXTRA VARCHAR(15);

ALTER TABLE DIARIAS ADD TIPO VARCHAR(10);
ALTER TABLE DIARIAS ALTER OBS TYPE VARCHAR(500) CHARACTER SET NONE;

