UPDATE TABDIV SET VERSAOBANCO='1.64';
UPDATE PESSOAS SET RACA='01' WHERE upper(RACA) LIKE '%BR%';
UPDATE PESSOAS SET RACA='02' WHERE upper(RACA) LIKE '%PR%';
UPDATE PESSOAS SET RACA='03' WHERE upper(RACA) LIKE '%PAR%';
UPDATE PESSOAS SET RACA='04' WHERE upper(RACA) LIKE '%AMA%';
UPDATE PESSOAS SET RACA='05' WHERE upper(RACA) LIKE '%IND%';
UPDATE PESSOAS SET RACA='99' WHERE RACA<>'01' AND RACA<>'02' AND RACA<>'03' AND RACA<>'04' AND RACA<>'05';
COMMIT;

ALTER TABLE PESSOAS ADD APOSENTBPC CHAR(1);
ALTER TABLE PESSOAS ADD NACIONALIDADE VARCHAR(3);     -- BRASIL=010
ALTER TABLE PROFISSIONAIS ADD AG_FICHAS_INTERVALO INTEGER;
ALTER TABLE PROFISSIONAIS ADD AG_FICHAS_INICIO_MANHA TIME;
ALTER TABLE PROFISSIONAIS ADD AG_FICHAS_INICIO_TARDE TIME;


SET TERM ^ ;
ALTER TRIGGER TRCODPESSOAS
ACTIVE BEFORE INSERT POSITION 0
as
begin
  if (new.codigo is null) then
  begin
    new.codigo = gen_id(GCodPessoas,1);
    while (exists (select codigo from Pessoas
                 where codigo = new.codigo)) do
    begin
        new.codigo = gen_id(GCodPessoas,1);
    end
  end
end
^
SET TERM ; ^


CREATE TABLE PAISES (CODIGO VARCHAR(3), NOME VARCHAR(60));
INSERT INTO PAISES (CODIGO, NOME) VALUES ('010', 'BRASIL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('020', 'Naturalizado');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('021', 'ARGENTINA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('022', 'BOLIVIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('023', 'CHILE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('024', 'PARAGUAI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('025', 'URUGUAI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('026', 'COLOMBIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('027', 'EQUADOR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('028', 'ANTIGUA E DEP BARBUDA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('029', 'ANTILHAS HOLANDESAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('030', 'ALEMANHA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('031', 'BELGICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('032', 'GRA-BRETANHA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('033', 'ARUBA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('034', 'CANADA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('035', 'ESPANHA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('036', 'ESTADOS UNIDOS AMERICA (EUA)');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('037', 'FRANCA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('038', 'SUICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('039', 'ITALIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('040', 'COMUNIDADE DAS BAHAMAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('041', 'JAPAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('042', 'CHINA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('043', 'COREIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('044', 'BARBADOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('045', 'PORTUGAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('046', 'BELIZE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('047', 'ILHAS TURKS E CAICOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('048', 'OUTROS LATINO AMERICANOS (RESERVADO/CAIXA)');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('049', 'OUTROS ASIATICOS (RESERVADO/CAIXA)');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('050', 'OUTROS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('051', 'COSTA RICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('052', 'CUBA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('053', 'CURACAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('054', 'COMUNIDADE DOMINICANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('055', 'REPUBLICA DOMINICANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('056', 'REPUBLICA DE EL SALVADOR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('057', 'ESTADOS ASSOC DAS ANTILHAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('058', 'ILHAS FALKLANDS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('059', 'GRANADA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('060', 'ILHAS GUADALUPE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('061', 'GUATEMALA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('062', 'REPUBLICA DO HAITI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('063', 'HONDURAS BRITANICAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('064', 'HONDURAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('065', 'ILHAS SERRANAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('066', 'JAMAICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('067', 'ILHAS MALVINAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('068', 'MARTINICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('069', 'ILHA MILHOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('070', 'MONTE SERRAT');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('071', 'NICARAGUA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('072', 'PANAMA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('073', 'PANAMA - ZONA DO CANAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('074', 'PORTO RICO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('075', 'QUITASUENO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('076', 'RONCADOR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('077', 'SANTA LUCIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('078', 'SAO CRISTOVAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('079', 'SAO VICENTE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('080', 'ILHAS TURCA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('081', 'ILHAS VIRGENS BRITANICAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('082', 'ILHAS VIRGENS AMERICANAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('083', 'BERMUDAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('084', 'GROELANDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('085', 'MEXICO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('086', 'ST PIERRE ET MIQUELON');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('087', 'GUIANA FRANCESA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('088', 'REPUBLICA GUIANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('089', 'PERU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('090', 'SURINAME');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('091', 'TRINIDAD E TOBAGO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('092', 'VENEZUELA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('093', 'ALBANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('094', 'ANDORA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('095', 'AUSTRIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('096', 'BULGARIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('097', 'CHIPRE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('098', 'DINAMARCA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('099', 'EIRE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('100', 'ESCOCIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('101', 'ILHAS FEROES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('102', 'FINLANDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('103', 'GIBRALTAR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('104', 'GRECIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('105', 'HOLANDA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('106', 'HUNGRIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('107', 'ILHAS BALEARES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('108', 'ILHAS COSMOLEDO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('109', 'ILHAS DO CANAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('110', 'INGLATERRA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('111', 'IRLANDA DO NORTE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('112', 'IRLANDA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('113', 'ISLANDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('114', 'IUGUSLAVIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('115', 'LIECHTENSTEIN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('116', 'LUXEMBURGO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('117', 'ILHAS DE MAN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('118', 'MONACO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('119', 'NORUEGA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('120', 'REPUBLICA DE MALTA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('121', 'PAIS DE GALES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('122', 'PAISES BAIXOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('123', 'POLONIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('124', 'ROMENIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('125', 'SAO MARINHO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('126', 'SUECIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('127', 'SVALBARD E JAN MAYER');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('128', 'TCHECOSLOVAQUIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('129', 'ESTADO DA CIDADE DO VATICANO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('130', 'CROACIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('131', 'SERVIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('132', 'ESLOVENIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('133', 'REPUBLICA DA MACEDONIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('134', 'BOSNIA HERZEGOVINA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('135', 'REPUBLICA TCHECA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('136', 'ESLOVAQUIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('137', 'MONTENEGRO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('138', 'AZERBAIJAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('139', 'BASHKISTA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('140', 'REPUBLICA DA BIELORRUSSIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('141', 'BURYAT');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('142', 'CARELIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('143', 'CASAQUISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('144', 'CHECHEN INGUSTH');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('145', 'CHUVASH');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('146', 'DAGESTA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('147', 'ESTONIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('148', 'GEORGIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('149', 'GORNO ALTAI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('150', 'KABARDINO BALKAR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('151', 'KALMIR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('152', 'KARACHAEVOCHERKESS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('153', 'KHAKASS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('154', 'KOMI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('155', 'LETONIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('156', 'LITUANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('157', 'MARI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('158', 'MODAVIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('159', 'OSSETIA SETENTRIONAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('160', 'QUIRQUISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('161', 'TADJIQUISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('162', 'TARTARIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('163', 'TURCOMENISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('164', 'TUVIN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('165', 'UCRANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('166', 'UDMURT');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('167', 'UNIAO SOVIETICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('168', 'USBEQUISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('169', 'YAKUT');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('170', 'ABISSINIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('171', 'ACORES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('172', 'AFAR FRANCES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('173', 'REPUBLICA DA AFRICA DO SUL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('174', 'ALTO VOLTA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('175', 'ANGOLA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('176', 'ARGELIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('177', 'BECHUANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('178', 'BENIN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('179', 'BOTSWANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('180', 'BURUNDI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('181', 'CAMAROES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('182', 'CEUTA E MELILLA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('183', 'CHADE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('184', 'ILHAS COMORES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('185', 'CONGO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('186', 'COSTA DO MARFIM');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('187', 'DAOME');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('188', 'DJIBUTI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('189', 'REPUBLICA ARABE DO EGITO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('190', 'ETIOPIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('191', 'REPUBLICA DO GABAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('192', 'GAMBIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('193', 'GANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('194', 'GAZA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('195', 'GUINE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('196', 'GUINE EQUATORIAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('197', 'INFNI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('198', 'ASCENCAO E TRISTAO DA CUNHA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('199', 'ILHAS CANARIAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('200', 'LESOTO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('201', 'LIBERIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('202', 'LIBIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('203', 'MADEIRA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('204', 'MALAWI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('205', 'MADAGASCAR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('206', 'MALI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('207', 'MARROCOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('208', 'MAURICIO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('209', 'MAURITANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('210', 'MOCAMBIQUE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('211', 'NGUANE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('212', 'REPUBLICA DO NIGER');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('213', 'NIGERIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('214', 'PAPUA NOVA GUINE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('215', 'PRACAS NORTE AFRICANAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('216', 'PROTETOR DO SUDOESTE AFRICANO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('217', 'QUENIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('218', 'REPUBLICA CENTRO AFRICANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('219', 'REUNIAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('220', 'RODESIA (ZIMBABWE)');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('221', 'RUANDA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('222', 'SAARA ESPANHOL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('223', 'SANTA HELENA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('224', 'SAO TOME E PRINCIPE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('225', 'SEYCHELLES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('226', 'SERRA LEOA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('227', 'SOMALIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('228', 'SUAZILANDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('229', 'SUDAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('230', 'TANGANICA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('231', 'TERRIT BRITANICO DO OCEANO INDICO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('232', 'TRANSKEI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('233', 'TOGO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('234', 'TUNISIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('235', 'UGANDA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('236', 'ZAIRE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('237', 'ZAMBIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('238', 'BURKINA FASSO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('239', 'ZIMBABWE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('240', 'NAMIBIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('241', 'AFEGANISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('242', 'ARABIA SAUDITA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('243', 'BAHRAIN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('244', 'BIRMANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('245', 'BRUNEI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('246', 'BHUTAN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('247', 'CATAR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('248', 'CEILAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('249', 'CHINA (TAIWAN)');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('250', 'COVEITE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('251', 'EMIRADOS ARABES UNIDOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('252', 'FILIPINAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('253', 'HONG-KONG');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('254', 'IEMEN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('255', 'INDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('256', 'INDONESIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('257', 'IRA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('258', 'IRAQUE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('259', 'ISRAEL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('260', 'JORDANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('261', 'KMER/CAMBOJA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('262', 'KUWAIT');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('263', 'LAOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('264', 'LIBANO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('265', 'MACAU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('266', 'MALASIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('267', 'MALDIVAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('268', 'MASCATE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('269', 'MONGOLIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('270', 'NEPAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('271', 'OMAN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('272', 'PALESTINA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('273', 'PAQUISTAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('274', 'RUIQUIU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('275', 'SINGAPURA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('276', 'SEQUIN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('277', 'SIRIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('278', 'SRI-LANKA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('279', 'TAILANDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('280', 'TREGUA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('281', 'TURQUIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('282', 'VIETNA DO NORTE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('283', 'VIETNA DO SUL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('284', 'MIANMA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('285', 'ARQUIPELAGO MANAHIKI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('286', 'ARQUIPELAGO MIDWAY');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('287', 'ASHMORE E CARTIER');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('288', 'AUSTRALIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('289', 'ARQUIPELAGO DE BISMARK');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('290', 'ILHAS COOK');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('291', 'REPUBLICA DE FIJI');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('292', 'GUAN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('293', 'ILHAS BAKER');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('294', 'ILHAS CANTAO E ENDERBURG');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('295', 'ILHAS CAROLINAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('296', 'ILHAS DO PACIFICO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('297', 'ILHAS CHRISTMAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('298', 'ILHAS GILBERT');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('299', 'ILHAS HOWLAND E JARVIS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('300', 'ILHA JOHNSTON E SAND');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('301', 'ILHAS KINGMAN REEF');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('302', 'ILHAS MACQUAIRE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('303', 'ILHAS MARIANAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('304', 'ILHAS MARSHALL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('305', 'ILHAS MACDONAL E HEARD');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('306', 'ILHAS NIEU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('307', 'ILHAS NORFOLK');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('308', 'ILHAS PALAU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('309', 'ILHAS SALOMAO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('310', 'ILHAS TORKELAU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('311', 'ILHAS WAKE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('312', 'KALIMATAN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('313', 'ILHAS LINHA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('314', 'NAURU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('315', 'ILHAS NOVA CALEDONIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('316', 'NOVA GUINE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('317', 'NOVA ZELANDIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('318', 'ILHAS NOVAS HEBRIDAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('319', 'TERRITORIO DE PAPUA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('320', 'ILHAS PASCOA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('321', 'ILHAS PITCAIRIN');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('322', 'POLINESIA FRANCESA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('323', 'SABAH');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('324', 'SAMOA AMERICANA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('325', 'SAMOA OCIDENTAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('326', 'ILHAS SANTA CRUZ');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('327', 'SARAWAK');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('328', 'TERRITORIO DE COCOS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('329', 'TIMOR');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('330', 'TONGAS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('331', 'TUVALU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('332', 'ILHAS WALLIS E FUTUNA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('333', 'ANTARTICO BRITANICO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('334', 'ANTARTICA FRANCESA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('335', 'TERR ANTARTICO DA AUSTRALIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('336', 'ANTARTICO CHILENO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('337', 'ANTARTICO ARGENTINO');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('338', 'ANTARTICO NORUEGUES');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('339', 'APATRIDA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('340', 'DEPENDENCIA DE ROSS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('341', 'TERRAS AUSTRAIS');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('342', 'BANGLADESH');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('343', 'CABO VERDE');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('344', 'GUINE BISSAU');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('345', 'IEMEN DO SUL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('346', 'KARA KALPAK');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('347', 'ARMENIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('348', 'RUSSIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('349', 'SENEGAL');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('350', 'TANZANIA');
INSERT INTO PAISES (CODIGO, NOME) VALUES ('999', 'INVALIDO');
COMMIT WORK;

