UPDATE TABDIV SET VERSAOBANCO='1.67';
COMMIT;

alter TABLE PESSOAS ADD SISVAN CHAR(1);
alter TABLE PESSOAS ADD DTATUALIZACAO DATE;
                    

INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('99', 'Atendimento no C.R.A.S.', 'I', 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('01', 'ATENDIMENTO ASSISTENTE SOCIAL', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('02', 'ATENDIMENTO BOLSA FAMILIA', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('03', 'ATENDIMENTO GESTOR(A)', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('04', 'ATENDIMENTO PSICOLOGICO', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('05', 'VISITA DOMICILIAR', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('06', 'ENCAMINHAMENTO CARTEIRA DO IDOSO', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('07', 'ENCAMINHAMENTO PASSE LIVRE', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('08', 'ENCAMINHAMENTOS BPC', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('09', 'ENCAMINHAMENTOS OU OUTRAS ORIENTAES', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('10', 'MSE - LIBERDADE ASSISTIDA', NULL, 0, NULL, 'SOCIAL');
INSERT INTO SUSPROCEDUNIF (CODIGO, DESCRICAO, BPA, VALOR, REQUERIDADE, OBS) VALUES ('11', 'MSE - PRESTAO DE SERVIO COMUNITRIO', NULL, 0, NULL, 'SOCIAL');
COMMIT WORK;

SET TERM ^ ;
ALTER PROCEDURE SPMOVIMENTACAOESTOQUE (
    DTINICIAL TIMESTAMP,
    DTFINAL TIMESTAMP)
RETURNS (
    PCODPRODUTO BIGINT,
    PDESCRICAO VARCHAR(100),
    PUNIDADE VARCHAR(10),
    PCODGRUPO INTEGER,
    PESTANTERIOR NUMERIC(18,2),
    PVALUNITANTERIOR NUMERIC(18,4),
    PVALTOTALANTERIOR NUMERIC(18,2),
    PQUANTENTRADA NUMERIC(18,2),
    PVALORENTRADA NUMERIC(18,2),
    PQUANTSAIDA NUMERIC(18,2),
    PVALORSAIDA NUMERIC(18,2),
    PESTATUAL NUMERIC(18,2),
    PVALUNITATUAL NUMERIC(18,6),
    PVALTOTALATUAL NUMERIC(18,2))
AS
DECLARE VARIABLE VESTOQUE NUMERIC(18,2);
DECLARE VARIABLE VQTDENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VQTDSAIAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALENTAPOS NUMERIC(18,2);
DECLARE VARIABLE VVALSAIAPOS NUMERIC(18,2);
DECLARE VARIABLE ESTGRAVADO NUMERIC(18,2);
DECLARE VARIABLE VALGRAVADO NUMERIC(18,2);
begin
  for select CODIGO, DESCRICAO, UN, CODGRUPO, QTDTOTAL, CUSTOMEDIO, VALORACUMULADO
        from PRODUTOS
--    where codigo=6
    order by DESCRICAO
        into PCodProduto, PDescricao, PUnidade, PCodGrupo, VEstoque, PValUnitAtual, PValTotalAtual
  do
  begin
    PESTANTERIOR = 0;
    PVALUNITANTERIOR = 0;
    PVALTOTALANTERIOR = 0;
    PQUANTENTRADA = 0;
    PVALORENTRADA = 0;
    PQUANTSAIDA = 0;
    PVALORSAIDA = 0;
    PESTATUAL = 0;
    IF (:VESTOQUE IS NULL)
      THEN VESTOQUE = 0;
    IF (:PVALUNITATUAL IS NULL)
      THEN PVALUNITATUAL = 0;
    IF (:PVALTOTALATUAL IS NULL)
      THEN PVALTOTALATUAL = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSENTRADAS IE
    INNER JOIN ENTRADAS E ON E.LANCAMENTO=IE.LANCAMENTO
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.TIPO='EXTERNO' AND E.DATARECEB > :DTFINAL
    INTO :VQTDENTAPOS, :VVALENTAPOS;
    IF (:VQTDENTAPOS IS NULL)
      THEN VQTDENTAPOS = 0;
    IF (:VVALENTAPOS IS NULL)
      THEN VVALENTAPOS = 0;

    SELECT SUM(QUANTIDADE), SUM(VALORTOTAL) FROM ITENSSAIDAS ITS
    INNER JOIN SAIDAS S ON S.LANCAMENTO=ITS.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA > :DTFINAL AND (S.TIPO='EXTERNO' OR S.TIPO='PERDA')
    INTO :VQTDSAIAPOS, :VVALSAIAPOS;
    IF (:VQTDSAIAPOS IS NULL)
      THEN VQTDSAIAPOS = 0;
    IF (:VVALSAIAPOS IS NULL)
      THEN VVALSAIAPOS = 0;

    SELECT SUM(IE.QUANTIDADE), SUM(IE.VALORTOTAL)
    FROM ITENSENTRADAS IE INNER JOIN ENTRADAS E ON IE.LANCAMENTO=E.LANCAMENTO AND E.TIPO='EXTERNO'
    WHERE IE.CODPRODUTO=:PCODPRODUTO AND E.DATARECEB >= :DTINICIAL and E.DATARECEB <= :DTFINAL
    GROUP BY IE.CODPRODUTO
    INTO :PQUANTENTRADA, :PVALORENTRADA;
    IF (:PQUANTENTRADA IS NULL)
      THEN PQUANTENTRADA = 0;
    IF (:PVALORENTRADA IS NULL)
      THEN PVALORENTRADA = 0;

    SELECT SUM(ITS.QUANTIDADE), SUM(ITS.VALORTOTAL)
    FROM ITENSSAIDAS ITS INNER JOIN SAIDAS S ON ITS.LANCAMENTO=S.LANCAMENTO
    WHERE ITS.CODPRODUTO=:PCODPRODUTO AND S.DATA >= :DTINICIAL and S.DATA <= :DTFINAL AND (S.TIPO='EXTERNO' OR S.TIPO='PERDA')
    GROUP BY ITS.CODPRODUTO
    INTO :PQUANTSAIDA, :PVALORSAIDA;
    IF (:PQUANTSAIDA IS NULL)
      THEN PQUANTSAIDA = 0;
    IF (:PVALORSAIDA IS NULL)
      THEN PVALORSAIDA = 0;

    PESTATUAL = VESTOQUE - :VQTDENTAPOS + :VQTDSAIAPOS;
    PVALTOTALATUAL = PVALTOTALATUAL - :VVALENTAPOS + :VVALSAIAPOS;
    IF (:PESTATUAL <> 0)
      THEN PVALUNITATUAL = (PVALTOTALATUAL / PESTATUAL);

    PESTANTERIOR = PESTATUAL - :PQUANTENTRADA + :PQUANTSAIDA;
    PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;

    SELECT FIRST 1 ESTOQUE, VALOR FROM RESUMOCONTABIL WHERE DATAINICIO=:DTINICIAL AND CODPRODUTO=:pcodproduto
      INTO :ESTGRAVADO, VALGRAVADO;
    if ((:ESTGRAVADO IS NOT NULL) AND (:valgravado IS NOT NULL)
    and (:ESTGRAVADO=PESTANTERIOR) AND (valgravado<>pvaltotalanterior)) then
    BEGIN
      PVALORSAIDA = valgravado + pvalorentrada - pvaltotalatual;
      if (PVALORSAIDA < 0) then
      BEGIN
        PVALORSAIDA = 0;
      END
      PVALTOTALANTERIOR = PVALTOTALATUAL - :PVALORENTRADA + :PVALORSAIDA;
    END

    IF (:PESTANTERIOR <> 0)
      THEN PVALUNITANTERIOR = (PVALTOTALANTERIOR / PESTANTERIOR);
      ELSE PVALUNITANTERIOR = 0;

    SUSPEND;
  end /*FINAL DO SELECT MATERIAL*/
end
^
SET TERM ; ^


-- em bicaco atualizei esta versao sem esta parte do script pra baixo, 
-- entao quando atualizar novamente tenho q executar este trecho

DELETE FROM PROFISS_PROCED WHERE CODPROCED IS NULL;
COMMIT;

ALTER TABLE UNIDADES ADD FONE VARCHAR(30),
                     ADD CRS VARCHAR(2);

CREATE TABLE SOROLOGIA(
    ID INTEGER NOT NULL,
    CODUNIDADE INTEGER NOT NULL,
    CODPESSOA INTEGER NOT NULL,
    CODRESPONSAVEL INTEGER,
    CODLABORATORIO INTEGER,
    DATA DATE,
    DATACOLETA DATE,
    GESTANTE CHAR(1),
    IMPRESSO CHAR(1),
    OBS VARCHAR(200));
ALTER TABLE SOROLOGIA ADD CONSTRAINT PK_SOROLOGIA PRIMARY KEY(ID);
ALTER TABLE SOROLOGIA ADD CONSTRAINT FK_SOROLOGIA_UNIDADE
    FOREIGN KEY(CODUNIDADE) REFERENCES UNIDADES(CODIGO)
    ON DELETE SET NULL ON UPDATE CASCADE;
ALTER TABLE SOROLOGIA ADD CONSTRAINT FK_SOROLOGIA_PESSOAS
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON DELETE SET NULL ON UPDATE CASCADE;
ALTER TABLE SOROLOGIA ADD CONSTRAINT FK_SOROLOGIA_FORNECEDORES
    FOREIGN KEY(CODLABORATORIO) REFERENCES FORNECEDORES(CODIGO)
    ON DELETE SET NULL ON UPDATE CASCADE;
