UPDATE TABDIV SET VERSAOBANCO='1.69';
UPDATE PESSOAS SET CODTITULAR=CODIGO WHERE CODTITULAR IS NULL;
COMMIT;

-- ALTERAES PARA GERAO DOS FORMULARIOS MENSAIS CRAS/PAIF
ALTER TABLE PESSOAS ADD DTINCPAIF DATE;
ALTER TABLE GRUPOSDERISCO ADD CLASSEPAIF VARCHAR(2);
ALTER TABLE SUSPROCEDUNIF ADD CODRELCRAS VARCHAR(3);
ALTER TABLE ENCONTROS_PROFISSIONAIS ADD CODPROCEDIMENTO VARCHAR(10);
ALTER TABLE ENCONTROS_PROFISSIONAIS ADD CONSTRAINT FK_ENCONTROSPROF_PROCEDS
    FOREIGN KEY (CODPROCEDIMENTO) REFERENCES SUSPROCEDUNIF (CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE FAA ADD ID_ENCONTROGRUPO INTEGER;
ALTER TABLE FAA ADD CONSTRAINT FK_FAA_ENCONTROS
    FOREIGN KEY (ID_ENCONTROGRUPO) REFERENCES ENCONTROSGRUPOS (ID_ENCONTRO)
    ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE DESCUMPRIMENTOBF(
    ID INTEGER NOT NULL,
    CODPESSOA INTEGER,
    DATA DATE,
    SECORIGEM VARCHAR(15),
    MOTIVO VARCHAR(100),
    OBS VARCHAR(200));
ALTER TABLE descumprimentobf ADD CONSTRAINT PK_DESCUMPRIMENTOBF PRIMARY KEY(ID);
ALTER TABLE descumprimentobf ADD CONSTRAINT FK_DESCUMPRIMENTOBF_PESSOA
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE BONUSPRODUTORES(
    ID INTEGER NOT NULL,
    CODPESSOA INTEGER NOT NULL,
    DATA DATE,
    VALOR DINHEIRO,
    VALORUSADO DINHEIRO,
    DTVALIDADE DATE,
    OBS VARCHAR(100));
ALTER TABLE BONUSPRODUTORES ADD CONSTRAINT PK_BONUSPRODUTORES PRIMARY KEY(ID);
ALTER TABLE BONUSPRODUTORES ADD CONSTRAINT FK_BONUSPRODUTORES_PESSOA
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

CREATE TABLE SAIDABONUS(
    IDBONUS INTEGER NOT NULL,
    IDSAIDA INTEGER NOT NULL,
    CODPRODUTO cod_produto,
    VALOR NUMERIC(15,2));



