select
  p.codigo,
  p.descricao,
  (select sum(ie.quantidade) from itensentradas ie
  inner join entradas e on ie.lancamento=e.lancamento
  where ie.codproduto=p.codigo and e.data >= '01.01.2008' and e.data <= '31.12.2009' and ie.codunidade=4
  ) as qtdEnt,
  (select sum(its.quantidade) from itenssaidas its
  inner join saidas s on its.lancamento=s.lancamento
  where its.codproduto=p.codigo and s.data >= '01.01.2008' and s.data <= '31.12.2009' and its.codunidade=4
  ) as qtdSai
from produtos p
where exists
   (select ie.quantidade from itensentradas ie
   inner join entradas e on ie.lancamento=e.lancamento
   where ie.codproduto=p.codigo and e.data >= '01.01.2008' and e.data <= '31.12.2009' and ie.codunidade=4)
or exists
   (select its.quantidade from itenssaidas its
   inner join saidas s on its.lancamento=s.lancamento
   where its.codproduto=p.codigo and s.data >= '01.01.2008' and s.data <= '31.12.2009' and its.codunidade=4)
order by p.descricao

