SELECT PR.DESCRICAO,
    sum(case when P.dtnascimento >= '07.11.2000' AND P.DtNascimento <= '07.11.2007' then i.quantidade else 0 end) as Faixa1,
    sum(case when P.dtnascimento >= '07.11.2008' AND P.DtNascimento <= '07.11.2008' then i.quantidade else 0 end) as Faixa2
FROM ITENSSAIDAS I
INNER JOIN SAIDAS S ON I.lancamento=S.lancamento
INNER JOIN PESSOAS P ON S.CODPESSOA=P.CODIGO
LEFT OUTER JOIN PRODUTOS PR ON I.CODPRODUTO=PR.CODIGO
WHERE I.CODPRODUTO=1 AND S.DATA >= '01.11.2008' AND S.DATA <= '31.12.2008'
GROUP BY PR.DESCRICAO

