-- FUNCAO CRIADA EM PORTO XAVIER

create table MONITORA_PESSOAS(
    ACAO CHAR(1),       -- (I)nsert  /  (U)pdate
    CODIGO                INTEGER NOT NULL,
    OLD_CODDISTRITO       INTEGER,
    NEW_CODDISTRITO       INTEGER,
    OLD_CODBAIRRO         INTEGER,
    NEW_CODBAIRRO         INTEGER,
    OLD_ENDERECO          VARCHAR(40),
    NEW_ENDERECO          VARCHAR(40),
    OLD_CODTITULAR        INTEGER,
    NEW_CODTITULAR        INTEGER,
    OLD_PISPASEP          VARCHAR(11),
    NEW_PISPASEP          VARCHAR(11),
    OLD_CPF               VARCHAR(14),
    NEW_CPF               VARCHAR(14),
    OLD_CERTIDAO          VARCHAR(50),
    NEW_CERTIDAO          VARCHAR(50),
    OLD_CARTORIO          VARCHAR(40),
    NEW_CARTORIO          VARCHAR(40),
    OLD_IDENTIDADE        VARCHAR(15),
    NEW_IDENTIDADE        VARCHAR(15),
    OLD_CTPS              VARCHAR(7),
    NEW_CTPS              VARCHAR(7),
    OLD_TITULOELEITORAL   VARCHAR(20),
    NEW_TITULOELEITORAL   VARCHAR(20),
    OLD_CARTAOSUS         VARCHAR(20),
    NEW_CARTAOSUS         VARCHAR(20),
    OLD_NIS               VARCHAR(20),
    NEW_NIS               VARCHAR(20),
    OLD_AREA              INTEGER,
    NEW_AREA              INTEGER,
    OLD_MICROAREA         INTEGER,
    NEW_MICROAREA         INTEGER,
    OLD_FAMILIA           INTEGER,
    NEW_FAMILIA           INTEGER,
    OLD_NOME              VARCHAR(60) CHARACTER SET WIN1252 COLLATE PXW_INTL850,
    NEW_NOME              VARCHAR(60) CHARACTER SET WIN1252 COLLATE PXW_INTL850,
    USUARIO VARCHAR(50),
    DATALANC TIMESTAMP);

SET TERM ^ ;
CREATE OR ALTER TRIGGER MONITORA_PESSOAS_1 FOR PESSOAS
ACTIVE BEFORE INSERT OR UPDATE POSITION 1
AS
declare variable xDataHora timestamp;
declare variable xAcao varchar(1);
begin
   if (old.codigo is null) then
   begin
      xAcao = 'I';
   end
   else begin
      xAcao = 'U';
   end
   select current_timestamp from rdb$database into :xDataHora;

   INSERT INTO MONITORA_PESSOAS(ACAO,
                                CODIGO,
                                OLD_CODDISTRITO, NEW_CODDISTRITO,
                                OLD_CODBAIRRO, NEW_CODBAIRRO,
                                OLD_ENDERECO,  NEW_ENDERECO,
                                OLD_CODTITULAR, NEW_CODTITULAR,
                                OLD_PISPASEP,  NEW_PISPASEP,
                                OLD_CPF,       NEW_CPF,
                                OLD_CERTIDAO,  NEW_CERTIDAO,
                                OLD_CARTORIO,  NEW_CARTORIO,
                                OLD_IDENTIDADE, NEW_IDENTIDADE,
                                OLD_CTPS,       NEW_CTPS,
                                OLD_TITULOELEITORAL, NEW_TITULOELEITORAL,
                                OLD_CARTAOSUS,       NEW_CARTAOSUS,
                                OLD_NIS,             NEW_NIS,
                                OLD_AREA,            NEW_AREA,
                                OLD_MICROAREA,       NEW_MICROAREA,
                                OLD_FAMILIA,         NEW_FAMILIA,
                                OLD_NOME,            NEW_NOME,
                                USUARIO,
                                DATALANC)
      VALUES(
                                :xAcao, NEW.CODIGO,
                                OLD.CODDISTRITO, NEW.CODDISTRITO,
                                OLD.CODBAIRRO, NEW.CODBAIRRO,
                                OLD.ENDERECO,  NEW.ENDERECO,
                                OLD.CODTITULAR, NEW.CODTITULAR,
                                OLD.PISPASEP,  NEW.PISPASEP,
                                OLD.CPF,       NEW.CPF,
                                OLD.CERTIDAO,  NEW.CERTIDAO,
                                OLD.CARTORIO,  NEW.CARTORIO,
                                OLD.IDENTIDADE, NEW.IDENTIDADE,
                                OLD.CTPS,       NEW.cTPS,
                                OLD.TITULOELEITORAL, NEW.TITULOELEITORAL,
                                OLD.CARTAOSUS,       NEW.CARTAOSUS,
                                OLD.NIS,             NEW.NIS,
                                OLD.AREA,            NEW.AREA,
                                OLD.MICROAREA,       NEW.MICROAREA,
                                OLD.FAMILIA,         NEW.FAMILIA,
                                OLD.NOME,            NEW.NOME,
                                '',:xDataHora);
end
^
SET TERM ; ^

