create or alter trigger TrProxiVaci_I for aplicvacinas
after insert as
declare variable Lanc integer;
declare variable Vaci integer;
declare variable Dose integer;
declare variable CodPessoa integer;
begin
  if (new.Dose > 1) then
  begin
    select CodPessoa from LanVacinas where Lancamento=new.Lancamento into :CodPessoa;
    select first 1 A.Lancamento, A.CodVacina, A.Dose from AplicVacinas A
      right outer join LanVacinas L on L.Lancamento=A.Lancamento
      where CodProxiVaci=new.CodVacina and ProxiDose=new.Dose and CodPessoa=:CodPessoa
      into :Lanc, :Vaci, :Dose;
    if ((:Lanc is not null) and (:Vaci is not null) and (:Dose is not null)) then
    begin
      update AplicVacinas set TomouProxi='Sim' where Lancamento=:Lanc and CodVacina=:Vaci and Dose=:Dose;
    end
  end
end;


