ALTER TABLE PESSOAS ADD NIS VARCHAR(20);

CREATE TABLE GESTANTES(
    CodPessoa integer not null,
    DUM date,
    DPP date,
    QtdGestacoes integer,
    QtdAbortosEsp integer,
    QtdAbortosProv integer,
    QtdEctopica integer,
    QtdPartosNormais integer,
    QtdPartosCesarias integer,
    QtdNascVivos integer,
    QtdNascMortos integer,
    QtdRNBaixoPeso integer,
    CodGrauInstru integer,
    QtdConsOdonto integer,
    Hipertensa char(1),
    Diabetica char(1),
    Cardiaca char(1),
    AntiTetanica char(1),
    Menarca varchar(10),
    Amenorreia char(1),
    Hipomenorreia char(1),
    Polimenorreia char(1),
    Dismenorreia char(1),
    AtivSexual varchar(30),
    MetContraceptivo varchar(20),
    Mamas varchar(100),
    ExCitopatologico varchar(50),
    ExAntiHIV varchar(50),
    ExVDRL varchar(50),
    TratHormonaisAnt varchar(50),
    TratHormonaisAtuais varchar(50),
    Fumo varchar(20),
    Alcool varchar(20),
    AtivFisica varchar(20),
    Medicamentos varchar(20),
    Obs varchar(254));
alter table gestantes add constraint PK_GESTANTES primary key(CodPessoa);
alter table gestantes add constraint FK_GESTANTES_PESSOA
    foreign key(CodPessoa) references Pessoas(Codigo)
    on delete cascade on update cascade;
alter table gestantes add constraint FK_GESTANTES_GRAUSINSTRUCAO
    foreign key(CodGrauInstru) references grausinstrucao(Codigo)
    on delete set null on update cascade;



