UPDATE TABDIV SET VersaoBanco='1.42';
COMMIT;

ALTER TABLE ENTRADAS ADD DATARECEB DATE;
ALTER TABLE ITENSENTRADAS ADD ITEM INTEGER;

SET TERM ^ ;
ALTER TRIGGER TRENTESTOQUEITEM
ACTIVE BEFORE INSERT OR UPDATE POSITION 0
as
declare variable qtd numeric(18,4);
declare variable vlr numeric(18,4);
declare variable TotalAnt numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable UnitAtual numeric(18,8);
declare variable TotalAtual numeric(18,4);
declare variable UnidOrigem integer;
begin
  if ((old.quantidade <> new.quantidade) or (old.quantidade is null)) then  -- se mudou outros dados q nao a quantidade nao precisa entrar aqui
  begin
      /* Deve ser before p/ inserir a Unid e Prod na tabela Estoques ANTES de
      inserir nesta, evitando assim erro de foreign key */
       if (old.quantidade is null) then
       begin
          qtd = new.quantidade;
          vlr = new.ValorTotal;
       end
       else begin
          qtd = new.quantidade - old.quantidade;
          vlr = new.ValorTotal - old.ValorTotal;
       end
    
       select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
          into :QtdAnt;   /* s p/ ver se ja ha reg na tab Estoque ou no */
       if (:QtdAnt is null) then
       begin
          insert into Estoques (CodUnidade, CodProduto, Estoque) values (new.CodUnidade, new.CodProduto, :qtd);
       end
       else begin
          update Estoques set Estoque=Estoque+:qtd where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
       end
    
       select CodUnidadeOrigem from ENTRADAS where Lancamento=new.Lancamento into :UnidOrigem;
       if ((:UnidOrigem is null) and (old.quantidade is null)) then   -- old.quantidade is null para entrar aqui somente nas inclusoes
       begin /* a partir daqui calcular o custo, caso no seja transf interna */
          TotalAnt = 0;
          QtdAnt = 0;
          UnitAtual = 0;
          TotalAtual = 0;
          select QtdTotal, ValorAcumulado from Produtos where Codigo=new.CodProduto
             into :QtdAnt, :TotalAnt;
          if ((:QtdAnt < 0) or (:TotalAnt < 0))then
          begin
             UnitAtual = new.ValorUnitario;
          end
          else begin
             TotalAtual = :TotalAnt + :vlr;
             UnitAtual = :TotalAtual / (:QtdAnt + :qtd);
          end
          update produtos set QtdTotal=QtdTotal+:qtd, CustoMedio=:UnitAtual, UltimoCusto=new.ValorUnitario
                 where Codigo=new.CodProduto;  /* V.Total  calc automatico */
       end
  end
end
^
SET TERM ; ^


SET TERM ^ ;
CREATE OR ALTER PROCEDURE SP_ITEM_ENTRADA
as
declare variable iCont integer;
declare variable iLanc integer;
declare variable Lancamento integer;
declare variable CodProduto varchar(16);
begin
  /* Procedure Text */
  iLanc = 0;
  iCont = 0;
  for select Lancamento, CodProduto from ItensEntradas order by Lancamento
     into :Lancamento, :CodProduto
  do begin
    if (:Lancamento <> iLanc) then
    begin
      iCont = 0;
    end
    iCont = iCont+1;
    update ItensEntradas set Item=:ICont where Lancamento=:Lancamento and CodProduto=:CodProduto;
    iLanc = :Lancamento;
  end
  suspend;
end
^
SET TERM ; ^

EXECUTE PROCEDURE SP_ITEM_ENTRADA;
COMMIT;

ALTER TABLE LOTES DROP CONSTRAINT FK_LOTES_ITLANCENTRADA;
ALTER TABLE ITENSENTRADAS DROP CONSTRAINT PK_ITENSENTRADAS;

update RDB$RELATION_FIELDS set RDB$NULL_FLAG = 1
    where (RDB$FIELD_NAME = 'ITEM') and (RDB$RELATION_NAME = 'ITENSENTRADAS');
commit;

alter table ITENSENTRADAS add constraint PK_ITENSENTRADAS primary key (LANCAMENTO,ITEM);
/*ALTER TABLE LOTES ADD CONSTRAINT FK_LOTES_ITLANCENTRADA
    foreign key(LancEntrada, CodProduto) references ItensEntradas(LancEntrada, CodProduto)
    on delete cascade on update cascade;*/

ALTER TABLE PESSOAS ADD DATANEGATIVA DATE;
ALTER TABLE SOLICITACOES ADD RECIBO VARCHAR(10);
ALTER TABLE SOLICITACOES ADD VALORUNITSERVICO DINHEIRO;
ALTER TABLE SOLICITACOES ADD QTDCARGAS NUMERIC(10,2);
ALTER TABLE SOLICITACOES ADD VALORUNITCARGA DINHEIRO;
ALTER TABLE SOLICITACOES ADD CODCONVENIO INTEGER;
ALTER TABLE SOLICITACOES ADD DATAENVIOTRIBUTOS DATE;

ALTER TABLE SOLICITACOES ADD CONSTRAINT FK_SOLICITACOES_CONVENIO
    foreign key(CodConvenio) references Convenios(Codigo)
    on delete set null on update cascade;

