UPDATE TABDIV SET VersaoBanco='1.45';
COMMIT;

ALTER TABLE FORNECEDORES ADD VALORLIMITE DINHEIRO;
ALTER TABLE TIPOAUXILIOS ADD IMPREVALOR CHAR(1);
ALTER TABLE TIPOAUXILIOS ADD IMPRESOLIC CHAR(1);
ALTER TABLE TIPOAUXILIOS ADD IMPRECONFIRM CHAR(1);
ALTER TABLE FAMILIAS ADD SEDETERRENO VARCHAR(10);
ALTER TABLE FAMILIAS ADD PROPRITERRENO VARCHAR(30);
ALTER TABLE SOLICITACOES ADD CODFORNECEDOR INTEGER;
ALTER TABLE SOLICITACOES ADD CONSTRAINT FK_SOLICITACOES_FORNECEDOR
    FOREIGN KEY(CodFornecedor) REFERENCES Fornecedores(Codigo)
    ON DELETE SET NULL ON UPDATE CASCADE;

UPDATE FORNECEDORES SET VALORLIMITE=0;
COMMIT;

CREATE TABLE SUSPROCEDCBO(
    CODPROCED VARCHAR(10) NOT NULL,
    CBO VARCHAR(6) NOT NULL);
ALTER TABLE SUSPROCEDCBO ADD CONSTRAINT PK_SUSPROCEDCBO PRIMARY KEY(CODPROCED,CBO);
ALTER TABLE SUSPROCEDCBO ADD CONSTRAINT FK_SUSPROCEDCBO_PROCEDIMENTOS
    FOREIGN KEY(CodProced) REFERENCES susprocedunif(Codigo)
    ON DELETE CASCADE ON UPDATE CASCADE;
