UPDATE TABDIV SET VersaoBanco='1.46';
COMMIT;

CREATE TABLE CBO(
    CODIGO VARCHAR(6) NOT NULL,
    DESCRICAO VARCHAR(200) CHARACTER SET WIN1252 COLLATE PXW_INTL850);
ALTER TABLE CBO ADD CONSTRAINT PK_CBO PRIMARY KEY(CODIGO);

ALTER TABLE SUSPROCEDCBO DROP CONSTRAINT FK_SUSPROCEDCBO_PROCEDIMENTOS;

ALTER TABLE ITENSSAIDAS ADD EST_ANTERIOR NUMERIC(18,4);
ALTER TABLE ITENSENTRADAS ADD EST_ANTERIOR NUMERIC(18,4);

-- MUDEI O FORMATO DO CAMPO NOME DEVIDO AOS ACENTOS
ALTER TABLE PESSOAS ADD NOME2 VARCHAR(40) CHARACTER SET WIN1252 COLLATE PXW_INTL850;
UPDATE PESSOAS SET NOME2=NOME;
DROP INDEX U_PESSOAS_NOME;
ALTER TABLE PESSOAS DROP NOME;
ALTER TABLE PESSOAS ADD NOME VARCHAR(40) CHARACTER SET WIN1252 COLLATE PXW_INTL850;
UPDATE PESSOAS SET NOME=NOME2;
COMMIT;
ALTER TABLE PESSOAS DROP NOME2;
create index U_PESSOAS_NOME on PESSOAS (NOME);

