UPDATE TABDIV SET VERSAOBANCO='1.52';
COMMIT;

ALTER TABLE PESSOAS
  ADD GRUPOSANGUINEO VARCHAR(2),
  ADD FATORRH VARCHAR(1),
  ADD DOADORSANGUE CHAR(1),
  ADD DOADORORGAOS CHAR(1);

ALTER TABLE ITENSRECEITAS DROP CONSTRAINT PK_ITENSRECEITAS;
ALTER TABLE ITENSRECEITAS ADD ITEM INTEGER NOT NULL;
--tirar o not null do codproduto
update RDB$RELATION_FIELDS set RDB$NULL_FLAG = NULL where (RDB$FIELD_NAME = 'CODPRODUTO') and (RDB$RELATION_NAME = 'ITENSRECEITAS');
commit;

SET TERM ^ ;
CREATE OR ALTER PROCEDURE SP_ITEM_RECEITA
AS
DECLARE VARIABLE ICONT INTEGER;
DECLARE VARIABLE ILANC INTEGER;
DECLARE VARIABLE LANCAMENTO INTEGER;
DECLARE VARIABLE CODPRODUTO VARCHAR(16);
begin
  /* Procedure Text */
  iLanc = 0;
  iCont = 0;
  for select Lancamento, CodProduto from ItensReceitas order by Lancamento, CodProduto
     into :Lancamento, :CodProduto
  do begin
    if (:Lancamento <> iLanc) then
    begin
      iCont = 0;
    end
    iCont = iCont+1;
    update ItensReceitas set Item=:ICont where Lancamento=:Lancamento and CodProduto=:CodProduto;
    iLanc = :Lancamento;
  end
  suspend;
end
^
SET TERM ; ^

execute procedure SP_ITEM_RECEITA;
commit;

alter table ITENSRECEITAS add constraint PK_ITENSRECEITAS primary key (LANCAMENTO,ITEM);


