UPDATE TABDIV SET VERSAOBANCO='1.66';
COMMIT;


SET TERM ^ ;
CREATE OR ALTER PROCEDURE SP_GRAVAPROFISSPROCED
AS
DECLARE VARIABLE ID INTEGER;
DECLARE VARIABLE ID2 INTEGER;
DECLARE VARIABLE CODPROCED VARCHAR(10);
DECLARE VARIABLE CODPROFISS INTEGER;
begin
  /* Procedure Text */
  for select codigo from profissionais order by codigo
      into :codprofiss do
  begin
    ID = 0;
    select first 1 id_profissproced from profiss_proced where codprofissional=:codprofiss
      into :id;
    if (:id = 0) then  -- s vai lanar automatico se ainda nao foi feito o cadastramento dos proceds deste profissional
    begin
        for select first 15 distinct(codprocedunif) from faaproced fp
          where fp.codprofissional=:codprofiss and data >= '01.01.2011'
          order by data desc into :codproced do
        begin
          select max(id_profissproced) from profiss_proced
            into :id2;
          if (:id2 is null) then
          begin
            id2 = 1;
          end
          insert into profiss_proced(id_profissproced, codprofissional, codproced, nomeresumido)
            values(:id2+1, :codprofiss, :CODPROCED, :CODPROCED);
        end
    end
  end
  suspend;
end
^
SET TERM ; ^

execute procedure SP_GRAVAPROFISSPROCED;
COMMIT;


SET TERM ^ ;
CREATE OR ALTER PROCEDURE SP_PROCURA_PESSOAS (
    SNOME VARCHAR(50))
RETURNS (
    CODIGO VARCHAR(7),
    NOME VARCHAR(100),
    ENDERECO VARCHAR(100),
    DTNASCIMENTO DATE,
    IDENTIDADE VARCHAR(20))
AS
begin
  /* Procedure Text */
  for select first 400 cast(codigo as varchar(7)), nome, endereco, DtNascimento, Identidade
         from pessoas where Upper(nome) like :sNome order by nome
         into :Codigo, :Nome, :Endereco, :DtNascimento, :Identidade
  do begin
    codigo = :codigo;
    suspend;
  end
end
^
SET TERM ; ^


