ALTER TABLE TRIAGENS ADD CIRCUNFQUADRIL NUMERIC(8,2);

UPDATE TABDIV SET VERSAOBANCO='1.75';
UPDATE NOVOLOTES SET LOTE=UPPER(LOTE);
update triagens set circunfquadril=0 where circunfquadril is null;
COMMIT;


SET TERM ^ ;
ALTER TRIGGER TRSAIESTOQUEITEM
ACTIVE BEFORE INSERT POSITION 0
as
declare variable CodPessoa integer;
declare variable qtdRetirada numeric(18,4);
declare variable Mensal varchar(3);
declare variable data date;
declare variable UltData date;
declare variable UnidDestino integer;
declare variable TipoSaida varchar(10);
declare variable Lote varchar(20);
declare variable BaixarLote numeric(18,4);
declare variable DispoLote numeric(18,4);
declare variable QtdAnt numeric(18,4);
declare variable xUsuario varchar(30);
declare variable xData date;
declare variable xDataHora timestamp;
begin
   select CodUnidadeDestino, Tipo, Usuario, Data from SAIDAS where Lancamento=new.Lancamento into :UnidDestino, :TipoSaida, :xUsuario, :xData;
   if (:TipoSaida <> 'REPLICA') then
   begin
     select Estoque from Estoques where CodProduto=new.CodProduto and CodUnidade=new.CodUnidade
          into :QtdAnt;
     if (:QtdAnt is null) then
     begin
         insert into Estoques(CodUnidade, CodProduto, Estoque) values(new.codunidade, new.codproduto, 0-new.quantidade);
     end
     else begin
         update Estoques set Estoque=Estoque-new.quantidade where CodUnidade=new.CodUnidade and CodProduto=new.CodProduto;
     end
     if (:UnidDestino is null) then
     begin /* a partir daqui s entra caso no seja transf interna */
        update Produtos set QtdTotal=QtdTotal-new.quantidade where Codigo=new.CodProduto; /* V.Total  calc automatico */

        /* Gravar Medic. Controlada: */
        select CodPessoa, Data from Saidas where Lancamento=new.Lancamento
            into :CodPessoa, :Data;
        select DtUltRetirada, QuantRetirada, Mensalmente from MedicControlada
            where CodPessoa=:CodPessoa and CodProduto=new.CodProduto
            into :UltData, :QtdRetirada, :Mensal;
        if (not :QtdRetirada is null) then
        begin  /* como  default 0, se for null  pq nao existe o registro */
           if ((:Data >= :UltData) or (:UltData is null)) then
           begin
              if (:Mensal = 'No') then
              begin
                 update MedicControlada set DtUltRetirada=:Data, QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
              else begin /* se  mensalmente nao importa a qtd retirada (cada vez  levado tudo o q tem direito */
                 update MedicControlada set DtUltRetirada=:Data where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
           else begin  /* se ja ha um lcto deste paciente c/ data maior nao gravara DtUltRetirada */
              if (:Mensal='No') then
              begin
                 update MedicControlada set QuantRetirada=QuantRetirada+new.Quantidade
                     where CodPessoa=:CodPessoa and CodProduto=new.CodProduto;
              end
           end
        end
     end
     /* monitoramento de estoque - sao valerio do sul */
     if (:QtdAnt is null) then
     begin
        QtdAnt = 0;  -- pra gravar no monitoramento
     end
     select current_timestamp from rdb$database into :xDataHora;
     INSERT INTO MONITORA_ESTOQUE(TABELA, TIPO, ACAO, LANCAMENTO, CODPRODUTO, CODUNIDADE, ESTANTERIOR, QUANTIDADE, DATA, CODOUTRAUNIDADE, USUARIO, DATALANC)
        VALUES('ItensSaidas',:TipoSaida,'I',new.Lancamento,new.CodProduto,new.CodUnidade,:QtdAnt,new.Quantidade,:xData,:UnidDestino,:xUsuario,:xDataHora);

   end
end
^
SET TERM ; ^



