UPDATE TABDIV SET VERSAOBANCO='1.82';
COMMIT;

-- ALTER TABLE ESTOQUESLOTES DROP CONSTRAINT FK_ESTOQUESLOTES_LOTE;
-- executei acima em sede nova pq dava erro ao excluir lancamento com lote 'INFORME'

CREATE TABLE SITPRIORITARIAS(
    CODIGO INTEGER NOT NULL,
    DESCRICAO VARCHAR(100),
    OBS VARCHAR(500),
    SCFV CHAR(1));
ALTER TABLE SITPRIORITARIAS ADD CONSTRAINT PK_SITPRIORITARIAS PRIMARY KEY(CODIGO);
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(1,'Em situao de isolamento','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(2,'Trabalho infantil','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(3,'Vivncia de violncia e, ou negligncia','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(4,'Fora da escola ou com defasagem escolar superior a 2 (dois) anos','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(5,'Em situao de acolhimento','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(6,'Em cumprimento de medida socioeducativa em meio aberto','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(7,'Egressos de medidas socioeducativas','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(8,'Situao de abuso e/ ou explorao sexual','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(9,'Com medidas de proteo do Estatuto da Criana e do Adolescente - ECA','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(10,'Crianas e adolescentes em situao de rua','','X');
INSERT INTO SITPRIORITARIAS(CODIGO, DESCRICAO, OBS, SCFV) VALUES(11,'Vulnerabilidade que diz respeito s pessoas com deficincia','','X');
COMMIT WORK;

CREATE TABLE SITPRIOPESSOAS(
    CODPESSOA INTEGER NOT NULL,
    CODSITUACAO INTEGER NOT NULL,
    DATAINSERCAO DATE,
    OBS VARCHAR(100));
ALTER TABLE SITPRIOPESSOAS ADD CONSTRAINT PK_SITPRIOPESSOAS PRIMARY KEY(CODPESSOA, CODSITUACAO);
ALTER TABLE SITPRIOPESSOAS ADD CONSTRAINT FK_SITPRIOPESSOAS_PESSOA
    FOREIGN KEY(CODPESSOA) REFERENCES PESSOAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;
ALTER TABLE SITPRIOPESSOAS ADD CONSTRAINT FK_SITPRIOPESSOAS_SITUACAO
    FOREIGN KEY(CODSITUACAO) REFERENCES SITPRIORITARIAS(CODIGO)
    ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE PESSOAS ADD PARECERSOCIAL BLOB SUB_TYPE 1 SEGMENT SIZE 80;
