UPDATE TABDIV SET VERSAOBANCO='1.84';
commit;

ALTER TABLE PESSOAS DROP CONSTRAINT FK_PESSOAS_1;
DROP TABLE CIDADE;
DROP TABLE CEP;

CREATE TABLE LOCALIDADE (
    CODIGO   INTEGER NOT NULL,
    NOME     VARCHAR(100),
    CODIBGE  VARCHAR(7),
    DNE      INTEGER,
    UF       VARCHAR(2));
ALTER TABLE LOCALIDADE ADD PRIMARY KEY (CODIGO);

CREATE TABLE CEP (
    CODCEP     VARCHAR(8) NOT NULL,
    CODLOCALIDADE  INTEGER NOT NULL,
    DESCRICAO  VARCHAR(70));
ALTER TABLE CEP ADD PRIMARY KEY (CODCEP);
ALTER TABLE CEP ADD FOREIGN KEY (CODLOCALIDADE) REFERENCES LOCALIDADE (CODIGO) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE PESSOAS ALTER FONE TYPE VARCHAR(40) CHARACTER SET NONE;
ALTER TABLE PESSOAS ADD CEPRESIDENCIA VARCHAR(8);
ALTER TABLE PESSOAS ADD CONSTRAINT FK_PESSOAS_CEPNASC FOREIGN KEY (CEPMUNICNASC) REFERENCES CEP (CODCEP) ON DELETE SET NULL ON UPDATE CASCADE;
ALTER TABLE PESSOAS ADD CONSTRAINT FK_PESSOAS_CEPRESID FOREIGN KEY (CEPRESIDENCIA) REFERENCES CEP (CODCEP) ON DELETE SET NULL ON UPDATE CASCADE;

INSERT INTO LOCALIDADE (CODIGO, NOME, CODIBGE, DNE, UF) VALUES (0, '', '', 0, '');
INSERT INTO CEP (CODLOCALIDADE, CODCEP, DESCRICAO) VALUES (0, '', '');
COMMIT WORK;

ALTER TABLE FAA ADD CARATER VARCHAR(2), ADD SINALIZAR VARCHAR(10);
UPDATE FAA SET CARATER='1';
COMMIT;
