UPDATE TABDIV SET VERSAOBANCO='1.94';
commit;

ALTER TABLE FAA
    ADD GESTANTE CHAR(1),    -- ficha odontologica S=TRUE
    ADD PCD CHAR(1),         -- ficha odontologica
    ADD DUM DATE,            -- atend. individual
    ADD IDADEGEST INTEGER,   -- atend. individual
    ADD GRAVIDEZPLAN CHAR(1),  -- atend. individual        
    ADD NUMGESTPREVIAS INTEGER,   -- atend. individual
    ADD NUMPARTOS INTEGER,        -- atend. individual
    ADD ALEITMATERNO INTEGER,     -- atend. individual
    ADD VACINAEMDIA CHAR(1),      -- atend. individual
    ADD FICOUOBS CHAR(1),          -- atend. individual
    ADD DESFECHOATDOMIC INTEGER;     -- atend. domiciliar

CREATE TABLE SITUACOESPRESENTES(
    CODIGO INTEGER NOT NULL,
    DESCRICAO VARCHAR(80));
ALTER TABLE SITUACOESPRESENTES ADD CONSTRAINT PK_SITUACOESPRESENTES PRIMARY KEY(CODIGO);

CREATE TABLE FAADOMICSITPRESENTE(
    CODUNIDADE INTEGER NOT NULL,
    NUMFAA VARCHAR(11) NOT NULL,
    CODSITUACAO integer NOT NULL);   -- atend. domiciliar
ALTER TABLE FAADOMICSITPRESENTE ADD CONSTRAINT PK_FAADOMICSITPRESENTE PRIMARY KEY(CODUNIDADE, NUMFAA, CODSITUACAO);
ALTER TABLE FAADOMICSITPRESENTE ADD CONSTRAINT FK_FAADOMICSITPRESENTE_FAA FOREIGN KEY (NUMFAA, CODUNIDADE) REFERENCES FAA (NUMFAA, CODUNIDADE) ON DELETE CASCADE ON UPDATE CASCADE;




