UPDATE TABDIV SET VERSAOBANCO='1.97';

create table MotivosViagens(
codigo integer not null,
descricao varchar(100),
constraint pkMotivosViagens primary key(codigo));

create generator gcodMotivosViagens;
set generator gcodMotivosViagens to 0;

CREATE OR ALTER trigger trcodMotivosViagens for MotivosViagens
active before insert position 0
as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodMotivosViagens,1);
  while (exists (select B.codigo from MotivosViagens B
                 where B.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodMotivosViagens,1);
  end
end;

create table DestinosViagens(
codigo integer not null,
descricao varchar(100),
constraint pkDestinosViagens primary key(codigo));

create generator gcodDestinosViagens;
set generator gcodDestinosViagens to 0;

CREATE OR ALTER trigger trcodDestinosViagens for DestinosViagens
active before insert position 0
as
begin
  if (new.codigo is null)
    then new.codigo = gen_id(GCodDestinosViagens,1);
  while (exists (select B.codigo from DestinosViagens B
                 where B.codigo = new.codigo)) do
  begin
    new.codigo = gen_id(GCodDestinosViagens,1);
  end
end;

alter table itenssaidas add DiasDuracao integer;

